MCA Suite v2 Docs

Submission Loans

Add a submission loan

POST /v1/submissionLoan

Request

FieldTypeDescription
dealId*string
funder*string
loanAmountnumber
annualInterestnumber
dailyInterestnumber
daysInYearnumber
numPaymentsnumber
frequencystringdaily, weekly, semimonthly, or monthly.
startDatestringYYYY-MM-DD.
firstPaymentDatestringYYYY-MM-DD.
paymentDays{ day1?, day2? }Semimonthly frequency only.
selectedOfferboolean
selectedOfferFundedDatestringYYYY-MM-DD, if selectedOffer is true.
selectedOfferDealStatusstringDeal status to set if selectedOffer is true.

Example

loan = client.submission_loans.add(
    deal_id="k8fxfmo59ezdu",
    funder="Acme Funding",
    loan_amount=50000.25,
    annual_interest=8.5,
    frequency="monthly",
)

Example response

{ "success": true, "offerLoanId": "abc123def456" }